---
title: "List visible SCORM attempt results for one activity"
description: "Returns grade-related attempt summaries visible to the caller in this activity. updated_since returns changed live attempts; run a full collection walk to reconcile deleted attempts. SCORM runtime data, learner responses, and launch credentials are excluded.\n\n### Quire permissions\n\nRequired capability: `scorm/view_reports`.\n\nCredential scopes: `reports:read`.\n\nThe acting subject must also be allowed to perform this action in the organisation."
image: "https://docs.quirelms.com/og.png"
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.quirelms.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Quire API › reports

`GET /scorm_attempts`

Returns grade-related attempt summaries visible to the caller in this activity. updated_since returns changed live attempts; run a full collection walk to reconcile deleted attempts. SCORM runtime data, learner responses, and launch credentials are excluded.

\### Quire permissions

Required capability: `scorm/view_reports`.

Credential scopes: `reports:read`.

The acting subject must also be allowed to perform this action in the organisation.

## Authentication

Requires one of the following:

- `apiKey`, http, header `Authorization`, scopes: `reports:read`
- `oauth2`, oauth2, scopes: `reports:read`

## Query parameters

- `listScormAttempts.query.activity_id` (string, required)
  - format `uuid`; pattern `^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$`
- `listScormAttempts.query.cursor` (string, optional)
- `listScormAttempts.query.limit` (integer, optional)
  - min 1; max 9007199254740991
- `listScormAttempts.query.updated_since` (string, optional)
  - format `date-time`; pattern `^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$`
- `listScormAttempts.query.user_id` (string, optional)
  - format `uuid`; pattern `^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$`

## Header parameters

- `listScormAttempts.header.Quire-Version` (string, optional) — The dated API revision to serve this request at. Omitted, the request is served at the revision the credential was issued against. The response echoes the revision actually applied.
  - format `date`

## Code samples

### cURL

```curl
curl --request GET \
  --url 'https://your-organisation.quirelms.com/api/v1/scorm_attempts?activity_id=497f6eca-6276-4993-bfeb-53cbbbba6f08' \
  --header 'Authorization: Bearer <token>'
```

### TypeScript

```typescript
const url = 'https://your-organisation.quirelms.com/api/v1/scorm_attempts?activity_id=497f6eca-6276-4993-bfeb-53cbbbba6f08';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://your-organisation.quirelms.com/api/v1/scorm_attempts?activity_id=497f6eca-6276-4993-bfeb-53cbbbba6f08"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
```

## Responses

### 200

Success.

#### Example

```json
{
  "data": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "activity_id": "98dae057-958f-4b2f-9ed4-41f109afdc3f",
      "course_id": "5e757794-c815-4ccc-bf16-1010d8ef2347",
      "user_id": "a169451c-8525-4352-b8ca-070dd449a1a5",
      "attempt_number": -9007199254740991,
      "state": "in_progress",
      "completion": "string",
      "success": "string",
      "score_percent": 0,
      "total_time_seconds": -9007199254740991,
      "started_at": "2019-08-24T14:15:22Z",
      "finished_at": "2019-08-24T14:15:22Z",
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z"
    }
  ],
  "page": {
    "next_cursor": "string",
    "has_more": true,
    "limit": -9007199254740991
  }
}
```

- `listScormAttempts.response.200.data` (array<object>, required)
  - `listScormAttempts.response.200.data.id` (string, required)
    - format `uuid`; pattern `^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$`
  - `listScormAttempts.response.200.data.activity_id` (string, required)
    - format `uuid`; pattern `^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$`
  - `listScormAttempts.response.200.data.course_id` (string, required)
    - format `uuid`; pattern `^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$`
  - `listScormAttempts.response.200.data.user_id` (string, required)
    - format `uuid`; pattern `^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$`
  - `listScormAttempts.response.200.data.attempt_number` (integer, required)
    - min -9007199254740991; max 9007199254740991
  - `listScormAttempts.response.200.data.state` (string, required)
    - one of `"in_progress"`, `"completed"`, `"abandoned"`
  - `listScormAttempts.response.200.data.completion` (string | null, required)
  - `listScormAttempts.response.200.data.success` (string | null, required)
  - `listScormAttempts.response.200.data.score_percent` (number | null, required)
  - `listScormAttempts.response.200.data.total_time_seconds` (integer, required)
    - min -9007199254740991; max 9007199254740991
  - `listScormAttempts.response.200.data.started_at` (string, required)
    - format `date-time`; pattern `^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$`
  - `listScormAttempts.response.200.data.finished_at` (any of, required)
    - any of: `string`, `null`
  - `listScormAttempts.response.200.data.created_at` (string, required)
    - format `date-time`; pattern `^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$`
  - `listScormAttempts.response.200.data.updated_at` (string, required)
    - format `date-time`; pattern `^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$`
- `listScormAttempts.response.200.page` (object, required)
  - `listScormAttempts.response.200.page.next_cursor` (string | null, required)
  - `listScormAttempts.response.200.page.has_more` (boolean, required)
  - `listScormAttempts.response.200.page.limit` (integer, required)
    - min -9007199254740991; max 9007199254740991

### 401

The credential is missing, malformed, expired or revoked.

#### Example

```json
{
  "type": "http://example.com",
  "title": "string",
  "status": 0,
  "code": "string",
  "category": "validation",
  "detail": "string",
  "request_id": "string",
  "errors": [
    {
      "path": "string",
      "code": "string",
      "detail": "string"
    }
  ],
  "retry_after": 0,
  "docs_url": "http://example.com"
}
```

- `listScormAttempts.response.401.type` (string, required)
  - format `uri`
- `listScormAttempts.response.401.title` (string, required)
- `listScormAttempts.response.401.status` (integer, required)
- `listScormAttempts.response.401.code` (string, required)
- `listScormAttempts.response.401.category` (string, required)
  - one of `"validation"`, `"authentication"`, `"authorization"`, `"not_found"`, `"conflict"`, `"precondition"`, `"quota"`, `"rate_limit"`, `"upstream"`, `"internal"`
- `listScormAttempts.response.401.detail` (string, required)
- `listScormAttempts.response.401.request_id` (string, required)
- `listScormAttempts.response.401.docs_url` (string, required)
  - format `uri`
- `listScormAttempts.response.401.errors` (array<object>, optional)
  - `listScormAttempts.response.401.errors.path` (string, required) — RFC 6901 JSON Pointer into the request body.
  - `listScormAttempts.response.401.errors.code` (string, required)
  - `listScormAttempts.response.401.errors.detail` (string, required)
- `listScormAttempts.response.401.retry_after` (integer | null, optional)

### 403

The credential lacks the scope this operation requires, or the acting subject lacks the capability.

#### Example

```json
{
  "type": "http://example.com",
  "title": "string",
  "status": 0,
  "code": "string",
  "category": "validation",
  "detail": "string",
  "request_id": "string",
  "errors": [
    {
      "path": "string",
      "code": "string",
      "detail": "string"
    }
  ],
  "retry_after": 0,
  "docs_url": "http://example.com"
}
```

- `listScormAttempts.response.403.type` (string, required)
  - format `uri`
- `listScormAttempts.response.403.title` (string, required)
- `listScormAttempts.response.403.status` (integer, required)
- `listScormAttempts.response.403.code` (string, required)
- `listScormAttempts.response.403.category` (string, required)
  - one of `"validation"`, `"authentication"`, `"authorization"`, `"not_found"`, `"conflict"`, `"precondition"`, `"quota"`, `"rate_limit"`, `"upstream"`, `"internal"`
- `listScormAttempts.response.403.detail` (string, required)
- `listScormAttempts.response.403.request_id` (string, required)
- `listScormAttempts.response.403.docs_url` (string, required)
  - format `uri`
- `listScormAttempts.response.403.errors` (array<object>, optional)
  - `listScormAttempts.response.403.errors.path` (string, required) — RFC 6901 JSON Pointer into the request body.
  - `listScormAttempts.response.403.errors.code` (string, required)
  - `listScormAttempts.response.403.errors.detail` (string, required)
- `listScormAttempts.response.403.retry_after` (integer | null, optional)

### 422

The request was understood and its content is not valid. `errors` names each field.

#### Example

```json
{
  "type": "http://example.com",
  "title": "string",
  "status": 0,
  "code": "string",
  "category": "validation",
  "detail": "string",
  "request_id": "string",
  "errors": [
    {
      "path": "string",
      "code": "string",
      "detail": "string"
    }
  ],
  "retry_after": 0,
  "docs_url": "http://example.com"
}
```

- `listScormAttempts.response.422.type` (string, required)
  - format `uri`
- `listScormAttempts.response.422.title` (string, required)
- `listScormAttempts.response.422.status` (integer, required)
- `listScormAttempts.response.422.code` (string, required)
- `listScormAttempts.response.422.category` (string, required)
  - one of `"validation"`, `"authentication"`, `"authorization"`, `"not_found"`, `"conflict"`, `"precondition"`, `"quota"`, `"rate_limit"`, `"upstream"`, `"internal"`
- `listScormAttempts.response.422.detail` (string, required)
- `listScormAttempts.response.422.request_id` (string, required)
- `listScormAttempts.response.422.docs_url` (string, required)
  - format `uri`
- `listScormAttempts.response.422.errors` (array<object>, optional)
  - `listScormAttempts.response.422.errors.path` (string, required) — RFC 6901 JSON Pointer into the request body.
  - `listScormAttempts.response.422.errors.code` (string, required)
  - `listScormAttempts.response.422.errors.detail` (string, required)
- `listScormAttempts.response.422.retry_after` (integer | null, optional)

### 429

A rate limit or a concurrency cap was reached. `Retry-After` says when to try again.

#### Example

```json
{
  "type": "http://example.com",
  "title": "string",
  "status": 0,
  "code": "string",
  "category": "validation",
  "detail": "string",
  "request_id": "string",
  "errors": [
    {
      "path": "string",
      "code": "string",
      "detail": "string"
    }
  ],
  "retry_after": 0,
  "docs_url": "http://example.com"
}
```

- `listScormAttempts.response.429.type` (string, required)
  - format `uri`
- `listScormAttempts.response.429.title` (string, required)
- `listScormAttempts.response.429.status` (integer, required)
- `listScormAttempts.response.429.code` (string, required)
- `listScormAttempts.response.429.category` (string, required)
  - one of `"validation"`, `"authentication"`, `"authorization"`, `"not_found"`, `"conflict"`, `"precondition"`, `"quota"`, `"rate_limit"`, `"upstream"`, `"internal"`
- `listScormAttempts.response.429.detail` (string, required)
- `listScormAttempts.response.429.request_id` (string, required)
- `listScormAttempts.response.429.docs_url` (string, required)
  - format `uri`
- `listScormAttempts.response.429.errors` (array<object>, optional)
  - `listScormAttempts.response.429.errors.path` (string, required) — RFC 6901 JSON Pointer into the request body.
  - `listScormAttempts.response.429.errors.code` (string, required)
  - `listScormAttempts.response.429.errors.detail` (string, required)
- `listScormAttempts.response.429.retry_after` (integer | null, optional)

### 500

Something failed at our end. Quote `request_id` when reporting it.

#### Example

```json
{
  "type": "http://example.com",
  "title": "string",
  "status": 0,
  "code": "string",
  "category": "validation",
  "detail": "string",
  "request_id": "string",
  "errors": [
    {
      "path": "string",
      "code": "string",
      "detail": "string"
    }
  ],
  "retry_after": 0,
  "docs_url": "http://example.com"
}
```

- `listScormAttempts.response.500.type` (string, required)
  - format `uri`
- `listScormAttempts.response.500.title` (string, required)
- `listScormAttempts.response.500.status` (integer, required)
- `listScormAttempts.response.500.code` (string, required)
- `listScormAttempts.response.500.category` (string, required)
  - one of `"validation"`, `"authentication"`, `"authorization"`, `"not_found"`, `"conflict"`, `"precondition"`, `"quota"`, `"rate_limit"`, `"upstream"`, `"internal"`
- `listScormAttempts.response.500.detail` (string, required)
- `listScormAttempts.response.500.request_id` (string, required)
- `listScormAttempts.response.500.docs_url` (string, required)
  - format `uri`
- `listScormAttempts.response.500.errors` (array<object>, optional)
  - `listScormAttempts.response.500.errors.path` (string, required) — RFC 6901 JSON Pointer into the request body.
  - `listScormAttempts.response.500.errors.code` (string, required)
  - `listScormAttempts.response.500.errors.detail` (string, required)
- `listScormAttempts.response.500.retry_after` (integer | null, optional)


Source: https://docs.quirelms.com/api/reports/listScormAttempts/index.md
